crash if I browse a website, then I open a random youtube video [@ @0x300d4eea]

RESOLVED WORKSFORME

Status

External Software Affecting Firefox
Flash (Adobe)
--
critical
RESOLVED WORKSFORME
10 years ago
2 years ago

People

(Reporter: AnyTime, Assigned: Michelle Sintov)

Tracking

({crash, topcrash})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [crashkill][FP 10.1.53.64], crash signature)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

My FireFox crashes when I'm browsing a particular website, then start to watch an youtube video. 

Reproducible: Sometimes

Steps to Reproduce:
1. Open a random website. sc.gosugamers.net in my case
2. Go to my bookmarks -> youtube.com
3. Choose a random video and start to watch it. After a few seconds, my firefox crashes.
Actual Results:  
Crash

Expected Results:  
Crash

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="AccessibleMarshal.dll" SIZE="17408" CHECKSUM="0x18EA5E95" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="accessibility" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xFBA8" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="crashreporter.exe" SIZE="185856" CHECKSUM="0x46E96BEC" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="crashreporter.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3720D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 00:20:14" UPTO_LINK_DATE="09/25/2008 00:20:14" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="firefox.exe" SIZE="307712" CHECKSUM="0x6DF3893E" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="3.0.3.0" PRODUCT_VERSION="3.0.3" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="firefox.exe" INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="©Firefox and Mozilla Developers, according to the MPL 1.1/GPL 2.0/LGPL 2.1 licenses, as applicable." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4B623" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="3.0.3.0" LINK_DATE="09/25/2008 01:14:54" UPTO_LINK_DATE="09/25/2008 01:14:54" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="freebl3.dll" SIZE="233472" CHECKSUM="0x11A60D26" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="NSS freebl Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="freebl3.dll" INTERNAL_NAME="freebl3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x416AD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="697344" CHECKSUM="0xCC57C63" BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0" FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0" ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xB6B37" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0" UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="mozcrt19.dll" SIZE="710144" CHECKSUM="0x96362802" BIN_FILE_VERSION="8.0.0.0" BIN_PRODUCT_VERSION="8.0.0.0" PRODUCT_VERSION="8.00.0000" FILE_DESCRIPTION="User-Generated Microsoft (R) C/C++ Runtime Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Mozilla Custom C Runtime" FILE_VERSION="8.00.0000" ORIGINAL_FILENAME="MOZCRT19.DLL" INTERNAL_NAME="MOZCRT19.DLL" LEGAL_COPYRIGHT="Copyright (C) Microsoft Corporation." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xB08DC" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.0.0.0" UPTO_BIN_PRODUCT_VERSION="8.0.0.0" LINK_DATE="09/25/2008 01:16:38" UPTO_LINK_DATE="09/25/2008 01:16:38" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="198144" CHECKSUM="0xF8959539" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x333DD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="697856" CHECKSUM="0x6BBF49D1" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xABD4D" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="304640" CHECKSUM="0x84483899" BIN_FILE_VERSION="1.71.0.0" BIN_PRODUCT_VERSION="1.71.0.0" PRODUCT_VERSION="1.71" FILE_DESCRIPTION="NSS Builtin Trusted Root CAs" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="1.71" ORIGINAL_FILENAME="nssckbi.dll" INTERNAL_NAME="nssckbi" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x4C5FA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.71.0.0" UPTO_BIN_PRODUCT_VERSION="1.71.0.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssdbm3.dll" SIZE="103936" CHECKSUM="0xBE41C212" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="Legacy Database Driver" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="nssdbm3.dll" INTERNAL_NAME="nssdbm3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1B389" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssutil3.dll" SIZE="87552" CHECKSUM="0x35454D7F" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS Utility Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="nssutil3.dll" INTERNAL_NAME="nssutil3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x17FAA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="20480" CHECKSUM="0xD717709B" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE26C" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="17408" CHECKSUM="0x91F58EC7" BIN_FILE_VERSION="4.7.1.0" BIN_PRODUCT_VERSION="4.7.1.0" PRODUCT_VERSION="4.7.1" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.7.1" ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xD6DA" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.7.1.0" UPTO_BIN_PRODUCT_VERSION="4.7.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="103936" CHECKSUM="0x860109D5" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1BF53" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="151552" CHECKSUM="0x6861F31E" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.0 Basic ECC" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.0 Basic ECC" ORIGINAL_FILENAME="softokn3.dll" INTERNAL_NAME="softokn3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x32C75" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="sqlite3.dll" SIZE="395776" CHECKSUM="0x2CE13E49" BIN_FILE_VERSION="3.5.9.0" BIN_PRODUCT_VERSION="3.5.9.0" PRODUCT_VERSION="3.5.9" FILE_DESCRIPTION="SQLite Database Library" COMPANY_NAME="sqlite.org" PRODUCT_NAME="SQLite Database Library" FILE_VERSION="3.5.9" ORIGINAL_FILENAME="sqlite3.dll" INTERNAL_NAME="sqlite3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x6E5D1" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.5.9.0" UPTO_BIN_PRODUCT_VERSION="3.5.9.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="136704" CHECKSUM="0x83ACFC95" BIN_FILE_VERSION="3.12.1.0" BIN_PRODUCT_VERSION="3.12.1.0" PRODUCT_VERSION="3.12.1.1 Basic ECC" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.12.1.1 Basic ECC" ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2A3E3" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.12.1.0" UPTO_BIN_PRODUCT_VERSION="3.12.1.0" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="updater.exe" SIZE="242176" CHECKSUM="0xEDBAD3E5" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="Firefox Software Updater" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="updater.exe" INTERNAL_NAME="" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x3F1FD" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 00:20:27" UPTO_LINK_DATE="09/25/2008 00:20:27" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="17920" CHECKSUM="0xC46EAC9C" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xE9E9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xul.dll" SIZE="9728512" CHECKSUM="0x23F53655" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="libxul" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x9565C9" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:40" UPTO_LINK_DATE="09/25/2008 01:16:40" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\browserdirprovider.dll" SIZE="23040" CHECKSUM="0xC056399D" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="browsercomps" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x95EE" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\brwsrcmp.dll" SIZE="134656" CHECKSUM="0x76EA8F1A" BIN_FILE_VERSION="1.9.0.3188" BIN_PRODUCT_VERSION="1.9.0.3188" PRODUCT_VERSION="1.9.0.3" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla Foundation" PRODUCT_NAME="Firefox" FILE_VERSION="1.9.0.3" ORIGINAL_FILENAME="" INTERNAL_NAME="browsercomps" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2E0A6" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.9.0.3188" UPTO_BIN_PRODUCT_VERSION="1.9.0.3188" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="plugins\npnul32.dll" SIZE="65536" CHECKSUM="0xB66B644E" BIN_FILE_VERSION="1.0.0.15" BIN_PRODUCT_VERSION="1.0.0.15" PRODUCT_VERSION="1, 0, 0, 15" FILE_DESCRIPTION="Default Plug-in" COMPANY_NAME="mozilla.org" PRODUCT_NAME="Mozilla Default Plug-in" FILE_VERSION="1, 0, 0, 15" ORIGINAL_FILENAME="NPNUL32.DLL" INTERNAL_NAME="DEFPLUGIN" LEGAL_COPYRIGHT="Copyright © 1995-2000" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x1231F" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.15" UPTO_BIN_PRODUCT_VERSION="1.0.0.15" LINK_DATE="09/25/2008 01:16:39" UPTO_LINK_DATE="09/25/2008 01:16:39" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\NPOFFICE.DLL" SIZE="13888" CHECKSUM="0x3D2E2D42" BIN_FILE_VERSION="11.0.5510.0" BIN_PRODUCT_VERSION="11.0.5510.0" PRODUCT_VERSION="11.0.5510" FILE_DESCRIPTION="Office Plugin for Netscape Navigator" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft Office 2003" FILE_VERSION="11.0.5510" ORIGINAL_FILENAME="NpOffice.dll" INTERNAL_NAME="NpOffice" LEGAL_COPYRIGHT="Copyright © 2002-2003 Microsoft Corporation.  All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x10ACC" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="11.0.5510.0" UPTO_BIN_PRODUCT_VERSION="11.0.5510.0" LINK_DATE="07/12/2003 08:59:14" UPTO_LINK_DATE="07/12/2003 08:59:14" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppdf32.dll" SIZE="95864" CHECKSUM="0x4EA71330" BIN_FILE_VERSION="8.1.0.137" BIN_PRODUCT_VERSION="8.1.0.137" PRODUCT_VERSION="8.1.0.2007051000" FILE_DESCRIPTION="Adobe PDF Plug-In For Firefox and Netscape" COMPANY_NAME="Adobe Systems Inc." PRODUCT_NAME="Adobe Acrobat" FILE_VERSION="8.1.0.2007051000" ORIGINAL_FILENAME="NPPDF32.DLL" LEGAL_COPYRIGHT="Copyright 1984-2007 Adobe Systems Incorporated and its licensors. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x10001" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x23F99" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="8.1.0.137" UPTO_BIN_PRODUCT_VERSION="8.1.0.137" LINK_DATE="05/11/2007 06:52:26" UPTO_LINK_DATE="05/11/2007 06:52:26" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nppl3260.dll" SIZE="144984" CHECKSUM="0x68496A4" BIN_FILE_VERSION="6.0.12.46" BIN_PRODUCT_VERSION="6.0.12.46" PRODUCT_VERSION="6.0.12.46" FILE_DESCRIPTION="RealPlayer(tm) LiveConnect-Enabled Plug-In" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer(tm) G2 LiveConnect-Enabled Plug-In (32-bit) " FILE_VERSION="6.0.12.46" ORIGINAL_FILENAME="NPPL3260.DLL" INTERNAL_NAME="NPPL" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 1995-2007" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x31222" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.12.46" UPTO_BIN_PRODUCT_VERSION="6.0.12.46" LINK_DATE="12/29/2007 03:32:49" UPTO_LINK_DATE="12/29/2007 03:32:49" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin2.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin3.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin4.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin5.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin6.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\npqtplugin7.dll" SIZE="106496" CHECKSUM="0xF503DAC2" BIN_FILE_VERSION="6.5.1.17" BIN_PRODUCT_VERSION="6.5.1.17" PRODUCT_VERSION="QuickTime 6.5.1" FILE_DESCRIPTION="The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the &lt;A HREF=http://www.apple.com/quicktime/&gt;QuickTime&lt;/A&gt; Web site." COMPANY_NAME="Apple Computer, Inc." PRODUCT_NAME="QuickTime Plug-in 6.5.1" FILE_VERSION="6.5.1" ORIGINAL_FILENAME="npqtplugin.dll" INTERNAL_NAME="QuickTime Plug-In" LEGAL_COPYRIGHT="© Apple Computer, Inc. 1992-2004" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.5.1.17" UPTO_BIN_PRODUCT_VERSION="6.5.1.17" LINK_DATE="04/08/2004 20:13:34" UPTO_LINK_DATE="04/08/2004 20:13:34" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="plugins\nprpjplug.dll" SIZE="94208" CHECKSUM="0x5E5F57AA" BIN_FILE_VERSION="6.0.12.46" BIN_PRODUCT_VERSION="6.0.12.46" PRODUCT_VERSION="6.0.12.46" FILE_DESCRIPTION="6.0.12.46" COMPANY_NAME="RealNetworks, Inc." PRODUCT_NAME="RealPlayer Version Plugin" FILE_VERSION="6.0.12.46" ORIGINAL_FILENAME="npjplug.dll" INTERNAL_NAME="nprpjplug" LEGAL_COPYRIGHT="Copyright © RealNetworks, Inc. 2001-2007" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="6.0.12.46" UPTO_BIN_PRODUCT_VERSION="6.0.12.46" LINK_DATE="12/29/2007 03:10:49" UPTO_LINK_DATE="12/29/2007 03:10:49" VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="uninstall\helper.exe" SIZE="509544" CHECKSUM="0x71DFB871" BIN_FILE_VERSION="1.0.0.0" BIN_PRODUCT_VERSION="1.0.0.0" PRODUCT_VERSION="3.0.3" FILE_DESCRIPTION="Firefox Helper" COMPANY_NAME="Mozilla Corporation" PRODUCT_NAME="Firefox" FILE_VERSION="3.0.3" ORIGINAL_FILENAME="helper.exe" LEGAL_COPYRIGHT="Mozilla Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x1" MODULE_TYPE="WIN32" PE_CHECKSUM="0x87396" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.0" UPTO_BIN_PRODUCT_VERSION="1.0.0.0" LINK_DATE="11/27/2006 17:36:12" UPTO_LINK_DATE="11/27/2006 17:36:12" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="NPSWF32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="NPSWF32.dll" SIZE="2889088" CHECKSUM="0x9281E761" BIN_FILE_VERSION="9.0.124.0" BIN_PRODUCT_VERSION="9.0.124.0" PRODUCT_VERSION="9,0,124,0" FILE_DESCRIPTION="Shockwave Flash 9.0  r124" COMPANY_NAME="Adobe Systems, Inc." PRODUCT_NAME="Shockwave Flash" FILE_VERSION="9,0,124,0" ORIGINAL_FILENAME="npswf32.dll" INTERNAL_NAME="Adobe Flash Player 9.0" LEGAL_COPYRIGHT="Adobe® Flash® Player. Copyright © 1996-2007 Adobe Systems Incorporated. All Rights Reserved. Protected by U.S. Patent 6,879,327; Patents Pending in the United States and other countries. Adobe and Flash are either trademarks or registered trademarks in the United States and/or other countries." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x2CE34A" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="9.0.124.0" UPTO_BIN_PRODUCT_VERSION="9.0.124.0" LINK_DATE="03/25/2008 03:21:10" UPTO_LINK_DATE="03/25/2008 03:21:10" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="989696" CHECKSUM="0x7D737C09" BIN_FILE_VERSION="5.1.2600.5512" BIN_PRODUCT_VERSION="5.1.2600.5512" PRODUCT_VERSION="5.1.2600.5512" FILE_DESCRIPTION="Windows NT BASE API Client DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows® Operating System" FILE_VERSION="5.1.2600.5512 (xpsp.080413-2111)" ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="© Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0xF44A2" LINKER_VERSION="0x50001" UPTO_BIN_FILE_VERSION="5.1.2600.5512" UPTO_BIN_PRODUCT_VERSION="5.1.2600.5512" LINK_DATE="04/14/2008 00:11:24" UPTO_LINK_DATE="04/14/2008 00:11:24" VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>

My Windows generated it.
The windows crash information is useless.
Pelase read http://developer.mozilla.org/En/How_to_get_a_stacktrace_for_a_bug_report
(Reporter)

Comment 2

10 years ago
Sorry. I think I've submitted my report from here: http://crash-stats.mozilla.com/report/index/852825cf-9f8a-11dd-9f1c-001a4bd43ef6
The stack trace isn't helpful in this case:

0  	 	@0x300d4eea  	
1 		@0x300d742d 	
2 		@0x300e98d0 	
3 		@0x300e9ae4

The crash seems to be in an external DLL.
Do you crash in the firefox safemode ?
(Reporter)

Comment 4

10 years ago
Yes, I did exctly as it is described here: http://developer.mozilla.org/En/How_to_get_a_stacktrace_for_a_bug_report
(Reporter)

Comment 5

10 years ago
Yes, I did exactly as it is described here:
http://developer.mozilla.org/En/How_to_get_a_stacktrace_for_a_bug_report
and again a useless stack trace :
0  	 	@0x300d4eea  	
1 		@0x300d742d 	
2 		@0x300e98d0 	
3 		@0x300e9ae4

I don't know what to do in such a case....

Comment 8

10 years ago
This isn't exactly an uncommon crash: http://crash-stats.mozilla.com/report/list?range_value=2&range_unit=weeks&version=Firefox%3A3.0.3&signature=%400x300d4eea

I looked at the module list of some crash reports, tried to find a module that would be present in all of them but not present on my system - there is none. Only odd thing I noticed: none of the reports seem to have NPSWF32.dll in the module list even though many claim to be using YouTube when the crash happened - so Flash must be loaded. Maybe Flash installation is broken in some way?

Comment 9

10 years ago
if you disable flash, does the crash go away?

actually, the crashing thread for comment 6 is #15, this is probably a driver induced thing. I'm assuming that flash doesn't run the bytecode off the UI thread....
Assignee: nobody → msintov
Component: Security → Plug-ins
Keywords: crash
Product: Firefox → Core
QA Contact: firefox → plugins
Summary: crash if I browse a website, then I open a random youtube video → crash if I browse a website, then I open a random youtube video [@ @0x300d4eea]
Version: unspecified → 1.9.0 Branch

Comment 10

10 years ago
I see from the blob in comment 0 that you have Flash 9 installed. It may or may not help, but I suggest upgrading to Flash 10 which was released not too long ago. Many crashes and bugs have been fixed, so even if it's not at fault here it's probably a good idea anyway.
http://www.adobe.com/go/getflashplayer

Updated

10 years ago
Severity: normal → critical
(Reporter)

Comment 11

10 years ago
OK, I've just updated my Flash. If my FireFox crashes again, I'll tell you.
Thanks for your help.

Comment 12

10 years ago
This crash seems to have been around for a while an seems to be most prominent in the top crash ranking in the early days following a release, then some times fades in ranking.

Currently ranked #2 after the first day of the 3.0.4 release, and #1 in the 3.0.3 rankings so it might be specific to some content that comes and goes...

Not much to go on in the stack

0  	 	@0x300d4eea  	
1 		@0x300d742d 	
2 		@0x300e98d0 	
3 		@0x300e9ae4

A lot of the comments talk about visiting youtube.

* Had youtube, gamefaqs, and World of Dungeons tabs open when the crash took place. When I restore my session, it keeps happening with those tabs open.

* I was on youtube.com and the report about crash came out

* keeps crashing on youtube...

Also people seem to notice performance degrading around the time of the crash.

* the web page stop loading. and firefox became non responsive. so basically it froze. dont know how or why.

* My firefox is lagging bad. It is extremely slow

And when they encounter this crash they also seem to be crashing a lot...

* cest de plus en plus frequent

* Why the f### does my Firefox crash every five minutes?

One person included addon info in the comments

Add-ons: {64161300-e22b-11db-8314-0800200c9a66}:0.7.2.5,
{972ce4c6-7e08-4474-a285-3208198ce6fd}:3.0.3 

Theme: classic/1.0 

One reported this URL in the comments: 
http://www.google.com.br/search?hl=pt-BR&q=maico+jakson
which the search results present several youtube videos

http://www.youtube.com/watch?v=MgwMAzkdn9g

http://www.youtube.com/watch?v=JQzLpN6U8JU
Keywords: topcrash

Comment 13

10 years ago
I found this link on the adobe site to older versions of flash that we might test with to confirm this is a bug in flash 9.

http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14266

Comment 14

10 years ago
Haven't been able to reproduce running Shockwave Flash 9.0 r16 or r124

Comment 15

10 years ago
This is also a topcrasher for Firefox 2.0.0.17 and this incident pretty much confirms it's Flash: TB51261721.

Please also take a look at the similar bug 377626. There, the reporter has produced a Dependency Walker image which again confirms that it's Flash (9.0.45 in that case) at address 0x30000000 - 0x302ac000.

Comment 16

10 years ago
interesting that breakpad/socorro is not showing NPSWF32.dll in the module list for any of these crashes.   Looks like it ought to be there along with the flash version number in everyone of the reports.  

bug(s) in breakpad/socorro?

Comment 17

10 years ago
Only 3 in 100 Talkback reports show the address relative to NPSWF32.dll and there are also a few breakpad reports with this signature:
http://crash-stats.mozilla.com/report/list?range_value=1&range_unit=weeks&version=Firefox%3A3.0.3&signature=NPSWF32.dll%400xd4eea
(In reply to comment #16)
> interesting that breakpad/socorro is not showing NPSWF32.dll in the module list
> for any of these crashes.   Looks like it ought to be there along with the
> flash version number in everyone of the reports.  
> 
> bug(s) in breakpad/socorro?

Seems unlikely. We just call MinidumpWriteDump() from a Windows library, so if there was a bug it would be in there. It's possible that somehow the Flash library is getting unloaded, and then the instruction pointer winds up in the middle of nowhere and crashes. Given the lack of NPSWF32.dll in the modules list, and the crashing thread having all of its frames in an unknown region of memory, this doesn't seem unreasonable.
Didn't we just fixed a security bug about a unloaded flash plugin and writes in some memory regions ?

Comment 20

10 years ago
> Didn't we just fixed a security bug about a unloaded flash plugin and writes in
> some memory regions ?

http://www.mozilla.org/security/announce/2008/mfsa2008-49.html  ?
(Reporter)

Comment 21

10 years ago
My browser crashed today. Again youtube. I have Flash 10 this time.
http://crash-stats.mozilla.com/report/pending/ead96dbe-b464-4005-9bf6-459582081122
I hope this isn't useless like before.
(Reporter)

Comment 22

10 years ago
Firefox 3.0.4 Crash Report [@ NPSWF32.dll@0x14f770 ]
ID: ead96dbe-b464-4005-9bf6-459582081122
Signature: NPSWF32.dll@0x14f770

0  	NPSWF32.dll  	NPSWF32.dll@0x14f770  	
1 		@0x88c31e83

Comment 23

8 years ago
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a3) Gecko/20100315 MozillaDeveloperPreview/3.7a3
Please try if you can reproduce with the latest nightly build
ftp://ftp.mozilla.org/pub/firefox/nightly/latest-trunk/ and also try with Flash Player 10.1 beta http://labs.adobe.com/downloads/flashplayer10.html
Whiteboard: [closeme 2010-04-21]

Updated

8 years ago
Component: Plug-ins → Flash (Adobe)
Product: Core → Plugins
QA Contact: plugins → adobe-flash
Version: 1.9.0 Branch → 9.x

Comment 24

8 years ago
UTR on FP 10.1.53.64. Please report back if we get hits on that Player with these steps.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
Whiteboard: [closeme 2010-04-21] → [crashkill][FP 10.1.53.64]

Updated

8 years ago
Target Milestone: --- → Jun 2010
Version: 9.x → 10.x
Crash Signature: [@ @0x300d4eea]

Comment 25

2 years ago
Version and milestone values are being reset to defaults as part of product refactoring.
Target Milestone: Jun 2010 → ---
Version: 10.x → unspecified
You need to log in before you can comment on or make changes to this bug.